GET /fileobject/{uuid}/federated_info/

GET /fileobject/{uuid}/federated_info/

/fileobject/{uuid}/federated_info/

Request
URI
GET
https://{api_host}/api/fileobject/{uuid}/federated_info
COPY
Path Parameters
string
uuid
Required  

UUID of the object to fetch

Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns GslbFileObjectRuntime of type(s) application/json
{
    "cluster_uuid": "string",
    "file_copy_success": "string",
    "flr_state": [
        {
            "cfg_version": 0,
            "cfg_version_in_flight": 0,
            "last_changed_time": {
                "secs": 0,
                "usecs": 0
            },
            "local_config": {
                "vsgs_info": [
                    {
                        "dnsvs_uuid": "string",
                        "ops": "string",
                        "timestamp": {
                            "secs": 0,
                            "usecs": 0
                        }
                    }
                ]
            },
            "reason": "string",
            "site_uuid": "string",
            "status": "string"
        }
    ],
    "ldr_state": {
        "cfg_version": 0,
        "cfg_version_in_flight": 0,
        "last_changed_time": {
            "secs": 0,
            "usecs": 0
        },
        "local_config": {
            "vsgs_info": [
                {
                    "dnsvs_uuid": "string",
                    "ops": "string",
                    "timestamp": {
                        "secs": 0,
                        "usecs": 0
                    }
                }
            ]
        },
        "reason": "string",
        "site_uuid": "string",
        "status": "string"
    },
    "name": "string",
    "obj_ref": "string",
    "repl_state": {
        "cfg_version": 0,
        "cfg_version_in_flight": 0,
        "last_changed_time": {
            "secs": 0,
            "usecs": 0
        },
        "local_config": {
            "vsgs_info": [
                {
                    "dnsvs_uuid": "string",
                    "ops": "string",
                    "timestamp": {
                        "secs": 0,
                        "usecs": 0
                    }
                }
            ]
        },
        "reason": "string",
        "site_uuid": "string",
        "status": "string"
    },
    "tenant_ref": "string",
    "uuid": "string"
}
string
cluster_uuid
Optional

The site controller cluster UUID. Field introduced in 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
file_copy_success
Optional

Indicates the status of file object related tasks(ex mm_converter, replication in cluster). Enum options - REPLICATED_WITH_SUCCESS. Field introduced in 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
flr_state
Optional

FileObject follower site config states. Field introduced in 30.2.1, 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
ldr_state
Optional

ldr_state

string
name
Optional

FileObject name. Field introduced in 30.2.1, 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
obj_ref
Optional

File object uuid. It is a reference to an object of type FileObject. Field introduced in 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
repl_state
Optional

repl_state

string
tenant_ref
Optional

Uuid of the tenant. It is a reference to an object of type Tenant. Field introduced in 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
uuid
Optional

UUID of the GslbFileObjectRuntime. Field introduced in 30.2.1, 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

404

object not found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/fileobject/{uuid}/federated_info